require_dependency 'issues_controller'

module IssuesControllerPatchFromStudecPatchExParentTaskFields
  def self.included(base) # :nodoc:
    base.send(:include, InstanceMethods)

    base.class_eval do
      alias_method_chain :destroy, :patch_from_studec_patch_ex_parent_task_fields
    end
  end
  
  module InstanceMethods
    
    def destroy_with_patch_from_studec_patch_ex_parent_task_fields
        @issues.sort!{|i1, i2| i1.rgt <=> i2.rgt }.delete_if{|i| @issues.find{|issue| issue.id == i.parent_issue_id} }.sort!{|i1, i2| i2.rgt <=> i1.rgt }
        destroy_without_patch_from_studec_patch_ex_parent_task_fields
    end
    
  end
end

IssuesController.send(:include, IssuesControllerPatchFromStudecPatchExParentTaskFields)